﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using PDK_Concert.Pages;
using PDK_Concert.Classes;

namespace PDK_Concert.Pages
{
    /// <summary>
    /// Логика взаимодействия для MainPage.xaml
    /// </summary>
    public partial class MainPage : Page
    {
        Logined logined;
        public MainPage(Logined logined)
        {
            InitializeComponent();
            Classes.FrameClass.menuFrame = menuFrame;
            this.logined = logined;
            Users users = DataBaseClass.connect.Users.FirstOrDefault(x => x.IDUser == logined.ID);
            fio.Text=users.Surname+" "+users.Name+" "+users.Patronymic+", "+users.Post.Title;
        }

        private void btProfile_Click(object sender, RoutedEventArgs e)
        {
            FrameClass.frame.Navigate(new ProfilePage(this,logined));
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            FrameClass.frame.Navigate(new AuthorizationPage());
        }

        private void RehearsalSchedule_MouseDown(object sender, MouseButtonEventArgs e)
        {
            Classes.FrameClass.menuFrame.Navigate(new RehearsalSchedulePage(logined));
        }

        private void Concert_MouseDown(object sender, MouseButtonEventArgs e)
        {
            FrameClass.menuFrame.Navigate(new CocertPage(logined));
        }

        private void Numbers_MouseDown(object sender, MouseButtonEventArgs e)
        {
            FrameClass.menuFrame.Navigate(new NumberPage(logined));
        }
    }
}
